DOMAINNAME(1)

NAME
domainname - set or print name of current YP/NIS domain

SYNOPSIS
domainname [ypdomain]

DESCRIPTION
The domainname utility prints the name of the current YP/NIS domain. The super-user can set the domain name by supplying an argument; this is usually done with the nisdomainname variable in the /etc/rc.conf file, normally run at boot time.

NOTES
The YP/NIS (formerly ``Yellow Pages'' but renamed for legal reasons) domain name does not necessarily have anything to do with the Domain Name System domain name, although they are often set equal for administrative convenience.

SEE ALSO
getdomainname(3), rc.conf(5)

HISTORY
The domainname command appeared in FreeBSD 1.1, based on a similar command in SunOS.